Articles

Upgrading OpenSSL on Ubuntu LTS

If you receive an alert that your server is not running the most recent version of OpenSSL, do not be alarmed.

Like most Linux distributions, Ubuntu backports security patches so that software like OpenSSL can stay secure without breaking other software by changing the version.

For details of the current Ubuntu 14.04 OpenSSL version, visit https://launchpad.net/ubuntu/trusty/+source/openssl/+changelog.

For details of the current Ubuntu 16.04 OpenSSL version, visit https://launchpad.net/ubuntu/xenial/+source/openssl/+changelog.

Do not attempt to replace OpenSSL on your server with any other version. If you do, ServerPilot will not be able to provide support for any breakage this may cause.